MENU_CURSOR(3) | NetBSD Library Functions Manual | MENU_CURSOR(3)

# NAME

pos_menu_cursor — position cursor in menu window

# LIBRARY

Curses Menu Library (libmenu, -lmenu)

# SYNOPSIS

#include <menu.h>

int
pos_menu_cursor(MENU *menu);

# DESCRIPTION

The pos_menu_cursor() function positions the cursor in the menu window. This function can be called after other curses calls to restore the cursor to its correct position in the menu.

# RETURN VALUES

The functions return one of the following error values:

E_OK
  The function was successful.
E_SYSTEM_ERROR
  There was a system error during the call.
E_BAD_ARGUMENT
  One or more of the arguments passed to the function was incorrect.
E_POSTED
  The menu is already posted.
E_CONNECTED
  An item was already connected to a menu.
E_BAD_STATE
  The function was called from within an initialization or termination routine.
E_NO_ROOM
  The menu does not fit within the subwindow.
E_NOT_POSTED
  The menu is not posted.
E_UNKNOWN_COMMAND
  The menu driver does not recognize the request passed to it.
E_NO_MATCH
  The character search failed to find a match.
E_NOT_SELECTABLE
  The item could not be selected.
E_NOT_CONNECTED
  The item is not connected to a menu.
E_REQUEST_DENIED
  The menu driver could not process the request.

# SEE ALSO

curses(3), menus(3)

# NOTES

The header <menu.h> automatically includes both <curses.h> and <eti.h>.

September 10, 1999 | NetBSD 5.99